## DocBlockr

We consider documenting code a very important part of writing code (almost just as important as adding type annotations). So we have special help to make this a painless and enjoyable process.

### Comment extension
Single line comments / multiline comments / JSDoc style comments extend the way you would expect

![](https://raw.githubusercontent.com/alm-tools/alm-tools.github.io/master/screens/docblockr/extension.gif)

> TIP: you can break out of a single comment chain by using the toggle comment `Ctrl|⌘ + /` command.

### JSDoc support

JSDoc comments (comments that start with `/**`) are the defacto way to document your variables / types etc. We have special love for them too.

### Quick JSDoc snippet
Just type `//` and press `Tab` to get quick jsDoc snippet.


![](https://raw.githubusercontent.com/alm-tools/alm-tools.github.io/master/screens/docblockr/singleLineJsdoc.gif)

### Big JSDoc snippet
Just type `///` and press `Tab` to get a big jsDoc snippet.

![](https://raw.githubusercontent.com/alm-tools/alm-tools.github.io/master/screens/docblockr/multiLineJsdoc.gif)


### Sections
Sometimes you just want a big comment block to document a *portion* of code (instead of a single declaration like a class / variable for which you would use JSDoc).

Just type `////` and press `Tab` to get a big section comment.

![](https://raw.githubusercontent.com/alm-tools/alm-tools.github.io/master/screens/docblockr/fourslash.gif)
